LibreOffice: SmartTagAction Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
SmartTagAction Service Reference

provides one or more actions for smart tags. More...

`import"SmartTagAction.idl";`

Inheritance diagram for SmartTagAction:

## Additional Inherited Members
Public Member Functions inherited from XSmartTagAction
string | getName ([in]::com::sun::star::lang::Locale aLocale)
| obtains a name that describes this action component. More...
string | getDescription ([in]::com::sun::star::lang::Locale aLocale)
| obtains a detailed description of this action component. More...
string | getSmartTagName ([in] long nSmartTagIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| obtains the name of one specific smart tag type supported by this action component. More...
string | getSmartTagCaption ([in] long nSmartTagIndex, [in]::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| obtains the caption of the smart tag type for using in user interfaces. More...
long | getActionCount ([in] string aSmartTagName, [in] com::sun::star::frame::XController xController, [in] com::sun::star::container::XStringKeyMap xProperties)
| obtains the number of actions provided for a specify smart tag type. More...
long | getActionID ([in] string aSmartTagName, [in] long nActionIndex, [in] com::sun::star::frame::XController xController) raises ( com::sun::star::lang::IllegalArgumentException )
| obtains a unique integer identifier for an action. More...
string | getActionCaptionFromID ([in] long nActionID, [in] string aApplicationName, [in]::com::sun::star::lang::Locale aLocale, [in] com::sun::star::container::XStringKeyMap xProperties, [in] string aText, [in] string aXML, [in] com::sun::star::frame::XController xController, [in] com::sun::star::text::XTextRange xTarget) raises ( com::sun::star::lang::IllegalArgumentException )
| obtains a caption for a specified action for use in user interfaces. More...
string | getActionNameFromID ([in] long nActionID, [in] com::sun::star::frame::XController xController) raises ( com::sun::star::lang::IllegalArgumentException )
| obtains a language independent name of an action. More...
void | invokeAction ([in] long nActionID, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in] com::sun::star::text::XTextRange xTarget, [in] com::sun::star::container::XStringKeyMap xProperties, [in] string aText, [in] string aXML, [in]::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| invokes an action. More...
boolean | isCaptionDynamic ([in] long nActionID, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in]::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| determines whether a caption is dynamic. More...
boolean | isShowSmartTagIndicator ([in] long nActionID, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in]::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| determines whether the smart tag indicator should be visible. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Attributes inherited from XSmartTagAction
long | SmartTagCount
| the number of smart tag types supported by this action component. More...

## Detailed Description

provides one or more actions for smart tags.

An implementation of this service defines one or more actions that can be performed for a smart tag which has been recognized by a SmartTagRecognizer service.

Since
  OOo 2.3

The documentation for this service was generated from the following file:

- com/sun/star/smarttags/SmartTagAction.idl